Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516522 - [abrt] ike: _BDATA::text(): qikec killed by SIGSEGV
Summary: [abrt] ike: _BDATA::text(): qikec killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ike
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ffc7b5c5308488f6f4d651a85c7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 20:03 UTC by webdesigner
Modified: 2018-11-30 18:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:24:50 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-22 20:03 UTC, webdesigner
no flags Details
File: cgroup (deleted)
2017-11-22 20:03 UTC, webdesigner
no flags Details
File: core_backtrace (deleted)
2017-11-22 20:03 UTC, webdesigner
no flags Details
File: dso_list (deleted)
2017-11-22 20:03 UTC, webdesigner
no flags Details
File: environ (deleted)
2017-11-22 20:03 UTC, webdesigner
no flags Details
File: limits (deleted)
2017-11-22 20:03 UTC, webdesigner
no flags Details
File: maps (deleted)
2017-11-22 20:03 UTC, webdesigner
no flags Details
File: mountinfo (deleted)
2017-11-22 20:03 UTC, webdesigner
no flags Details
File: open_fds (deleted)
2017-11-22 20:03 UTC, webdesigner
no flags Details
File: proc_pid_status (deleted)
2017-11-22 20:03 UTC, webdesigner
no flags Details
File: cpuinfo (deleted)
2017-11-22 20:03 UTC, webdesigner
no flags Details
File: exploitable (deleted)
2017-11-22 20:03 UTC, webdesigner
no flags Details

Description webdesigner 2017-11-22 20:03:32 UTC
Version-Release number of selected component:
ike-2.2.1-7.fc24

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        qikec -r evo2.vpn
crash_function: _BDATA::text
executable:     /usr/bin/qikec
journald_cursor: s=00cd191cda4641bc902442599df99bc8;i=6c1e;b=0704268357654ad98eda11865895f616;m=4be2797aa;t=55e95d8b657cf;x=dae9b1374bdc2787
kernel:         4.13.13-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 _BDATA::text at /usr/src/debug/ike/source/libidb/libidb.cpp:139
 #1 _QIKEC::set_status at /usr/src/debug/ike/source/qikec/qikec.cpp:154
 #2 _CLIENT::run_loop at /usr/src/debug/ike/source/libike/client.cpp:1279
 #3 _CLIENT::func at /usr/src/debug/ike/source/libike/client.cpp:1367
 #4 help at /usr/src/debug/ike/source/libith/libith.cpp:355

Potential duplicate: bug 1508508

Comment 1 webdesigner 2017-11-22 20:03:37 UTC
Created attachment 1357788 [details]
File: backtrace

Comment 2 webdesigner 2017-11-22 20:03:38 UTC
Created attachment 1357789 [details]
File: cgroup

Comment 3 webdesigner 2017-11-22 20:03:40 UTC
Created attachment 1357790 [details]
File: core_backtrace

Comment 4 webdesigner 2017-11-22 20:03:42 UTC
Created attachment 1357791 [details]
File: dso_list

Comment 5 webdesigner 2017-11-22 20:03:43 UTC
Created attachment 1357792 [details]
File: environ

Comment 6 webdesigner 2017-11-22 20:03:45 UTC
Created attachment 1357793 [details]
File: limits

Comment 7 webdesigner 2017-11-22 20:03:47 UTC
Created attachment 1357794 [details]
File: maps

Comment 8 webdesigner 2017-11-22 20:03:49 UTC
Created attachment 1357795 [details]
File: mountinfo

Comment 9 webdesigner 2017-11-22 20:03:50 UTC
Created attachment 1357796 [details]
File: open_fds

Comment 10 webdesigner 2017-11-22 20:03:52 UTC
Created attachment 1357797 [details]
File: proc_pid_status

Comment 11 webdesigner 2017-11-22 20:03:53 UTC
Created attachment 1357798 [details]
File: cpuinfo

Comment 12 webdesigner 2017-11-22 20:03:55 UTC
Created attachment 1357799 [details]
File: exploitable

Comment 13 Ben Cotton 2018-11-27 18:04:20 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 18:24:50 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.